
    <div class="pt-3 pb-1" id="breadcrumbs-wrapper">
      <!-- Search for small screen-->
      <div class="container">
        <div class="row">
          <div class="col s12 m6 l6">
            <h5 class="breadcrumbs-title mt-0 mb-0"><span>Kilométrages</span></h5>
          </div>
          <div class="col s12 m6 l6 right-align-md">
            <ol class="breadcrumbs mb-0">
              <li class="breadcrumb-item"><a [routerLink]="['/DashbordVoiture']">Acceuil</a>
              </li>
              <li class="breadcrumb-item">Configurations
              </li>
              <li class="breadcrumb-item active">Kilométrages
              </li>
            </ol>
          </div>
        </div>
      </div>
    </div>

        <div class="section section-data-tables">


<!-- Page Length Options -->
<div class="row">
<div class="col s12">
  <div class="card">
    <div class="card-content">
     <a class=" modal-trigger" href="#modal1" (click)="initi()">
     <button class="btn cyan waves-effect waves-light right" type="submit" name="action">Ajouter
        <i class="material-icons right">add</i>
      </button>
      </a>

      <h4 class="card-title">Liste des Kilométrages</h4>
    
      <br/>
      <div class="row">
        <div class="col s12">
          <table id="page-length-option" class="display">
            <thead>
              <tr>
                <th>Immatricule</th>
                <th>Kilométrage</th>
                <th>Date </th>
                <th>Action</th>
            
              </tr>
            </thead>
            <tbody>
              <tr *ngFor="let k of kilometrages; index as i;">
                

                <td>{{k.voitureImmatricule}} </td>
                <td>{{k.kilometrage}}</td>
           
                <td>{{k.date}}</td>
                <td>



                  <a class='dropdown-trigger' href='#' [attr.data-target]="'dropdown' + i">
                    <i class="material-icons">arrow_drop_down</i>
                  </a>
                  <ul id='dropdown{{i}}' class='dropdown-content' >
                  <li><a  class="modal-trigger" (click)="getOne(k.id)" href="#modal2">Modifier</a> </li>
                  <li><a class="modal-trigger" (click)="delete(k.id)" >Supprimper</a> </li>
               
                  </ul>
                </td>
              
              
              
            </tr>
            </tbody>
          </table>
        </div>
      </div>
    </div>
  </div>
</div>
</div>

<div id="modal1" class="modal modal-fixed-footer" style="width: 40%; height: 60%;">
  <form #f="ngForm" (ngSubmit)="save(f.value)" >
<div class="modal-content">
  <h4>Kilométrages</h4>
  <br>
  <div class="row">
   <div class="input-field col s12">
    <label for="immatricule" class="active">Immatricule</label>

    <select  searchable='Liste de Voiture' id="xxxx"  name="voitureImmatricule" #voitureImmatriculet="ngModel" [(ngModel)]="kilometrage.voitureImmatricule" required>
      <option *ngFor="let v of voitures" [value]="v.immatricule">
        {{v.immatricule}}
       </option>
  </select>

   </div>
 
   <div class="input-field col s6">
    <input  id="name2" class="validate" type="text" name="kilometrage" #kilometraget="ngModel" [(ngModel)]="kilometrage.kilometrage" required>
    <label for="name2">Kilométrage</label>
    <small  class="errorTxt1" *ngIf="kilometraget.touched  &&  kilometraget.invalid" ><div id="uname-error" class="error">saisir votre kilometrage</div></small>

    
  </div>

    <div class="input-field col s6">
      <input  id="name2" class="validate" type="date" name="date" #datet="ngModel" [(ngModel)]="kilometrage.date" required>
      <label for="name2">Date</label>
      <small  class="errorTxt1" *ngIf="datet.touched  &&  datet.invalid" ><div id="uname-error" class="error">saisir votre date</div></small>

    </div>
   
   </div>
</div>
<div class="modal-footer">
   <button [disabled]="f.invalid" type="submit" class="btn cyan waves-effect waves-light right" style="margin-right: 25px;">Valider</button>
</div>
</form>

</div>



<div id="modal2" class="modal modal-fixed-footer" style="width: 40%; height: 60%;">
  <form #fu="ngForm" (ngSubmit)="update(fu.value)" >
<div class="modal-content">
  <h4>Kilométrages</h4>
  <br>
  <div class="row">
   <div class="input-field col s12">
    <label for="name2" class="active">immatricule</label><br/>

  <input  id="name2" type="text" name="voitureImmatricule" #name="ngModel" [(ngModel)]="kilometrage.voitureImmatricule" disabled>
   </div>
 
   <div class="input-field col s6">
    <label for="name2">Kilométrage</label><br/>
    <input  id="name2" type="text" name="kilometrage" #name="ngModel" [(ngModel)]="kilometrage.kilometrage" required>
    
  </div>

    <div class="input-field col s6">
      <label for="name2">Date</label><br/>
      <input  id="name2" type="date" name="date" #name="ngModel" [(ngModel)]="kilometrage.date" required>
     
    </div>
   
   </div>
</div>
<div class="modal-footer">
   <button type="submit" class="btn cyan waves-effect waves-light right" style="margin-right: 25px;">Valider</button>
</div>
</form>

</div>


</div><!-- START RIGHT SIDEBAR NAV -->

